itemWindow

Players request a window of tracks in your cloud queue by specifying the itemId of a track in the cloud queue, the previousWindowSize (or the number of tracks before a specified track), and the upcomingWindowSize (the number of tracks after a specified track) to be returned. This also indicates the playback policies for individual items in the cloud queue.

Optionally, the player can use this API to obtain a new access token in the response from your cloud queue server.

See GET /version for more details about the queueVersion parameter.

Query Params
string
Defaults to refresh

The reason a player is requesting a new item window. See the reason parameter page for a list of possible values. New in v2.2: Players can send requests with multiple reason values separated with a + symbol. For example, reason=load+queueCompleted.

string
Defaults to {YOUR_ITEM_ID}

The identifier for the track that should be returned. If it is omitted or an empty string, it indicates your server should return the first item in your cloud queue.

int32
Defaults to null

The maximum number of tracks before the track specified by the itemId that should be returned by your cloud queue server. A non-negative integer.

int32
Defaults to null

The maximum number of tracks after the track specified by the itemId that should be returned by your cloud queue server. A non-negative integer.

string
Defaults to {YOUR_QUEUE_VERSION}

The last cloud queue change state identifier cached by the player. This could have been from: -the last GET /itemWindow or GET /version response, and a loadCloudQueue or skipToItem response. This is omitted when the value is unknown, for example, if the server did not respond to a query.

boolean
Defaults to true

If true, indicates that a user performed a specific action or there was a specific intent to play the track. For example, the user pressed play, skipped backwards or forwards, or selected the track in the queue. If false or omitted, indicates that the player requested the track, for example, because it was the next track in the queue. You can use this to track user actions, for example, to determine if the playback stream has been initiated from another device.

Response

Language
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json